Sign inGet Started

List members on a presence channel

GET
/v1/realtime/apps/{realtime_app_id}/channels/{channel_name}/members
const { members } = await bird.realtime.channels.members("rap_01krdgeqcxet5s7t44vh8rt9mg", "presence-lobby");
for (const member of members) console.log(member.member_id);

Lists the member IDs currently subscribed to a presence channel. IDs only: member_info (the profile data attached by your authorization endpoint) is delivered to subscribed clients over the realtime connection and is not available over REST.

参数

realtime_app_idstring

ID of the Realtime app (rap_ prefix), as returned when the app was created.

channel_namestring

Name of the presence channel whose members to list.

响应载荷

members
array of object
必填
显示子属性